Package groovy.sql

# Interface InParameter

All Known Subinterfaces:
  `InOutParameter`

public interface InParameter
A typed parameter to pass to a query

Author:
  rfuller

## Method Summary

Modifier and Type
Method
Description
`int`
`getType()`
The JDBC data type.
`Object`
`getValue()`
The object holding the data value.

## Method Details

### getType

int getType()
The JDBC data type.

Returns:
  the type

### getValue

Object getValue()
The object holding the data value.

Returns:
  the value